import org.lekan.graphics.GraphicsProgram;
import java.awt.event.MouseEvent;
import java.awt.Color;


/**
 * Here's an intro/review to using Java, and an intro to using the SGGraphics package.
 * 
 * Your task: build a simple drawing program that does, at the minimum, the following:
 *  (1) Buttons that lets you choose whether to draw an ellipse, a rectangle, a line, a rounded line, or a quadratic curve
 *  (2) When the program first starts, the main canvas should display a nice welcoming message and/or graphics.
 *  (3) As soon as the user starts drawing, this welcome message should disappear
 *  (4) To draw, click and drag the mouse. The shape should display as you are dragging.
 *  (5) When released, the shape will stay on the screen.
 *  (6) A clear button will clear everything on the screen.
 * 
 * @author Your Name(s) Here!
 *
 */
public class EPGYDraw extends GraphicsProgram {
	public static void main(String[] args) {
		new EPGYDraw();
	}
	
	
	
	/**
	 * Put any setup code here!
	 */
	@Override
	public void setup() {
		// TODO: SETUP!
		this.getFrame().setTitle("EPGYDraw!");
	}
	
	/**
	 * Put your program run code here! Most of your code should be in here.
	 */
	boolean startState = true;
	@Override
	public void run() {
		// TODO: The main run of the program!
		this.addButton("Rectangle", NORTH);
		this.addButton("Line", EAST);
		this.addButton("Ellipse",WEST);
		this.addButton("Quad Curve", SOUTH);
	}
	int x1,y1,x2,y2,x3,y3;
	boolean clearState;
	
	public void mousePressed(MouseEvent e){
			clearState = true;
			x1 = e.getX();
			y1 = e.getY();
	}
	
	private void drawShape(int xV,int yV){
		x2 = xV-x1;
		y2 = yV-y1;
		if(clearState){
			this.getFrame().clearGraphics();
		}
		this.getFrame().drawRect(x1, y1, x2, y2);
		
	}
	
	public void mouseDragged(MouseEvent e){
		x3 = e.getX();
		y3 = e.getY();
		drawShape(x3, y3);
	}
	public void mouseReleased(MouseEvent e){
		clearState = false;
	}
}

